# QTextStream Class Reference

### [com.trolltech.qt.core package]

### Constructor

- void QTextStream()
- void QTextStream(QIODevice device)
- void QTextStream(QByteArray array, OpenMode openMode)

### Constructor Properties

- prototype: The QTextStream prototype object
- SmartNotation
- FixedNotation
- ScientificNotation
- RealNumberNotation( value )
- ShowBase = 0x1
- ForcePoint = 0x2
- ForceSign = 0x4
- UppercaseBase = 0x8
- UppercaseDigits = 0x10
- NumberFlag( value )
- NumberFlags( value1, value2, ... )
- AlignLeft
- AlignRight
- AlignCenter
- AlignAccountingStyle
- FieldAlignment( value )
- Ok
- ReadPastEnd
- ReadCorruptData
- WriteFailed
- Status( value )

### Prototype Object Properties

- bool atEnd()
- bool autoDetectUnicode()
- QTextCodec codec()
- QIODevice device()
- FieldAlignment fieldAlignment()
- int fieldWidth()
- void flush()
- bool generateByteOrderMark()
- int integerBase()
- QLocale locale()
- NumberFlags numberFlags()
- char padChar()
- qint64 pos()
- String read(qint64 maxlen)
- String readAll()
- QTextStream readByte()
- QTextStream readDouble()
- QTextStream readFloat()
- QTextStream readInt()
- String readLine(qint64 maxlen)
- QTextStream readLongLong()
- QTextStream readShort()
- QTextStream readUInt()
- QTextStream readUShort()
- RealNumberNotation realNumberNotation()
- int realNumberPrecision()
- void reset()
- void resetStatus()
- bool seek(qint64 pos)
- void setAutoDetectUnicode(bool enabled)
- void setCodec(QTextCodec codec)
- void setDevice(QIODevice device)
- void setFieldAlignment(FieldAlignment alignment)
- void setFieldWidth(int width)
- void setGenerateByteOrderMark(bool generate)
- void setIntegerBase(int base)
- void setLocale(QLocale locale)
- void setNumberFlags(NumberFlags flags)
- void setPadChar(char ch)
- void setRealNumberNotation(RealNumberNotation notation)
- void setRealNumberPrecision(int precision)
- void setStatus(Status status)
- void skipWhiteSpace()
- Status status()
- QTextStream writeBoolean(QBool b)
- QTextStream writeByte(char ch)
- QTextStream writeByteArray(QByteArray array)
- QTextStream writeDouble(double f)
- QTextStream writeFloat(float f)
- QTextStream writeInt(signed int i)
- QTextStream writeShort(signed short i)
- QTextStream writeString(String s)

### Instance Properties

QTextStream objects have no special properties beyond those inherited from the QTextStream prototype object.